unit backup;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, ComCtrls, main;

type
  TForm3 = class(TForm)
    RichEdit1: TRichEdit;
    Panel1: TPanel;
    Edit1: TEdit;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    procedure grepMTD(mtd: integer);
  public
    { Public-Deklarationen }
  end;

var
  Form3: TForm3;

implementation

uses memo;

{$R *.dfm}

{$REGION 'BackupPartition'}
  procedure TForm3.FormClose(Sender: TObject; var Action: TCloseAction);
  begin
    DeleteFile(rootdir+'mtd.txt');
  end;
  procedure TForm3.grepMTD(mtd: integer);
  var
    sList: TStringList;
  begin
    sList := TStringList.Create;
    try
      main.Form1.remount('r','system');
      sList.DelimitedText := main.Form1.AdbExecMemo(
        'adb shell "cat /proc/mtd | tail +2 | grep mtd'+IntToStr(mtd)+'"',SW_SHOW,FALSE);
      if not DirectoryExists('Backup') then CreateDir('Backup');
      Button1.Caption := 'luft...';
      main.Form1.AdbExecute(
        'adb shell cat /dev/mtd/mtd'+IntToStr(mtd)+ ' > ..\Backup\'+sList[3]+'.img',SW_HIDE);
      main.Form1.AdbExecute('adb shell umount /system',SW_HIDE);
      if FileExists('Backup/'+sList[3]+'.img')
      then
        begin
          Button1.Caption := 'Fertig!';
          main.Form1.Delay(1500);
          Button1.Caption := 'OK';
        end
      else
        begin
          Button1.Caption := 'Fehler!';
          main.Form1.Delay(1500);
          Button1.Caption := 'OK';
        end
    finally
      sList.Free;
    end;
  end;
  procedure TForm3.Button1Click(Sender: TObject);
  begin
    grepMTD(StrToInt(Edit1.Text));
  end;
{$ENDREGION}

end.
