unit memo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm2 = class(TForm)
    Memo1: TMemo;
    Panel1: TPanel;
    Shape1: TShape;
    Shape2: TShape;
    Shape3: TShape;
    Shape4: TShape;
    Shape5: TShape;
    Shape6: TShape;
    Shape7: TShape;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
  end;

var
  Form2: TForm2;
      i: Byte;

implementation

{$R *.dfm}

procedure TForm2.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Memo1.Clear;
  Timer1.Enabled := False;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
  Application.ProcessMessages;
  Memo1.Clear;
  Shape1.Brush.Color := clGreen;
  Shape2.Brush.Color := clWhite;
  Shape3.Brush.Color := clWhite;
  Shape4.Brush.Color := clWhite;
  Shape5.Brush.Color := clWhite;
  Shape6.Brush.Color := clWhite;
  Shape7.Brush.Color := clWhite;
  Timer1.Enabled := True;
  i := 0;
end;

procedure TForm2.Timer1Timer(Sender: TObject);
begin
  if i < 7 then inc(i);
  if i >= 7 then i := 0;
  case i of
  0:
    begin
      Shape7.Brush.Color := clWhite;
      Shape1.Brush.Color := clGreen;
    end;
  1:
    begin
      Shape1.Brush.Color := clWhite;
      Shape2.Brush.Color := clGreen;
    end;
  2:
    begin
      Shape2.Brush.Color := clWhite;
      Shape3.Brush.Color := clGreen;
    end;
  3:
    begin
      Shape3.Brush.Color := clWhite;
      Shape4.Brush.Color := clGreen;
    end;
  4:
    begin
      Shape4.Brush.Color := clWhite;
      Shape5.Brush.Color := clGreen;
    end;
  5:
    begin
      Shape5.Brush.Color := clWhite;
      Shape6.Brush.Color := clGreen;
    end;
  6:
    begin
      Shape6.Brush.Color := clWhite;
      Shape7.Brush.Color := clGreen;
    end;
  end;
end;

end.
